@import url('https://fonts.googleapis.com/css?family=Amatic+SC|Comfortaa|Pacifico')

$basic_color: #2a7fff
$dim-color: #8a8a8a

.container, main
  max-width: unset
  padding-right: unset
  padding-left: unset
  padding-top: unset
  margin: unset

.main_containter
  padding: 1rem

.null_padding
  padding: unset !important

.null_margin
  margin: unset !important

.null_spacing
  padding: unset !important
  margin: unset !important

h1
  font-family: 'Comfortaa', cursive

h2
  font-family: 'Comfortaa', cursive

h3
  font-family: 'Amatic SC'

h5
  font-size: 14px
  color: $dim-color

.secure_font
  font-family: 'Comfortaa'
a
  color: $basic_color
  &:hover
    color: $basic_color
    background-color: unset
  &:visited
    color: $basic_color

a.destroy
  color: #ff2b2b !important
  cursor: pointer
  &:hover
    color: grey !important
    background-color: #ff2b2b !important

a.destroylight
  color: #ff2b2b !important
  cursor: pointer
  font-size: 12px !important
  i
    font-size: 12px !important
  &:hover
    text-decoration: underline
    text-decoration-color: #ff2b2b

.navbar
  background-color: $basic_color
  justify-content: unset
  align-items: unset
  border-bottom: 1px solid white

.navbar-toggleable-xs
  margin-left: 50px

.navbar-dark .navbar-nav .nav-link
  font-family: 'Comfortaa', cursive

.cta
  -webkit-box-shadow: -5px 8px 5px -1px rgba(89,137,189,1)
  -moz-box-shadow: -5px 8px 5px -1px rgba(89,137,189,1)
  box-shadow: -5px 8px 5px -1px rgba(89,137,189,1)

a.nav-link
  color: white !important
  &:hover
    background: unset
    font-weight: 900

a.nav-item.nav-link
  color: $basic_color !important
  &:hover
    background: unset
    font-weight: unset
  &.active
    background: $basic_color
    color: white !important
    font-weight: 900

span.wapi
  font-family: 'Pacifico', cursive
  color: white
  font-size: 30px
  text-shadow: 2px 2px 0px #122c91

span.mail
  color: #48d6d2
  font-family: 'Comfortaa', cursive

.gradient_wrapper
  position: relative
  background: linear-gradient(rgba(128, 179, 255, 0.6), white 99%)
  padding: 10px

.hero
  background-color: white
  position: relative
  width: 100%
  overflow: hidden
// Hide overflow to contain the background

.hero__background
  position: absolute
  top: 0
  left: 0
  width: 200%

.hero_blur_bg
  -webkit-filter: blur(5px)
  -webkit-transform: translate3d(0, 0, 0)

.hero__title
  position: relative
  text-align: center
  color: black
  padding: 1rem

#logohome
  padding-top: 125px

.impress
  padding-top: 100px
  h1
    font-size: 200px
    color: white
  h2
    font-size: 100px
    color: #2a7fff
  h3
    color: #a8bcda

.button, .btn
  font-family: 'Comfortaa', cursive

.basic
  background-color: $basic-color
  border-color: $basic-color
  color: white
  &:hover
    background-color: white
    color: $basic-color
  &:disabled
    background-color: white
    color: $basic-color

.row, section
    display: flex
    flex-wrap: wrap
    margin-right: 15px
    margin-left: 15px

.alert
  position: fixed
  right: 0
  bottom: 0
  left: 0
  margin-bottom: 0

img.logo
  max-width: 100px

img.nano
  max-width: 50px
  margin-top: 5px

.apple_pagination
  background: #f1f1f1
  border: 1px solid #e5e5e5
  text-align: center
  padding: 1em
  cursor: default
  width: 100%
  a, span
    padding: 0.2em 0.3em
  .disabled
    color: #aaaaaa
  .current
    font-style: normal
    font-weight: bold
    background-color: darken(#f1f1f1, 20)
    display: inline-block
    width: 1.4em
    height: 1.4em
    line-height: 1.5
    -moz-border-radius: 1em
    -webkit-border-radius: 1em
    border-radius: 1em
    text-shadow: rgba(white, .8) 1px 1px 1px
  a
    text-decoration: none
    color: black
    &:hover, &:focus
      text-decoration: underline

// styling for project
.project_btn
  height: 150px
  border: 2px solid $basic-color
  border-radius: 25px
  margin-bottom: 25px
  &:hover
    -webkit-box-shadow: -8px 10px 24px 0px rgba(0,68,140,1)
    -moz-box-shadow: -8px 10px 24px 0px rgba(0,68,140,1)
    box-shadow: -8px 10px 24px 0px rgba(0,68,140,1)
  h3
    color: black
    &:hover
      text-decoration: unset

.project-bar
  background: linear-gradient( #2a7fff57, $basic_color 80%)
  .title
    width: 100%
    height: 70px
    h3
      font-size: 50px
      color: white
      font-weight: bold
  .nav
    padding: 10px 10px 0px 10px
    font-family: 'Comfortaa', cursive
  a.nav-link
    color: white !important
    &:hover
      font-weight: 900
    &.active
      color: $basic_color !important
      font-weight: bold

// code editor
.vr
  border-right: 1px solid rgba(0, 0, 0, 0.1)

.CodeMirror
  overflow: auto
  height: 500px !important

// mail designer style
.live
  width: 50%

.editor
  text-align: left

.my-frame
  border: 1px dashed #CCC
  height: 590px
  width: 100%
  max-width: 810px

// mail layout
.mail-wrapper
  background-image: asset-url("clouds.jpg")
  background-position: center
  background-repeat: no-repeat
  background-size: cover

.mail-main-container
  border-radius: 7px
  margin-top: 30px
  margin-bottom: 5px
  background: linear-gradient(10deg, rgba(128, 179, 255, 0) 9%, white 9%)

.mail-brand-container
  margin-bottom: 15px
  border-radius: 7px 7px 0 0
  border-bottom: 1px #dadada solid

.classy
  text-decoration: underline
  -webkit-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75)
  -moz-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75)
  box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75)

.picture-assets
  height: 600px
  overflow: auto

input.label-styled
  display: none

label.btn
  margin-bottom: 0px

.thumb
  padding: 5px 0px 5px
  height: 60px
  border-bottom: 1px #e0e0e0 solid
  .label
    font-size: 11px
    margin: auto
    width: 50%
  .btn
    padding: 0px 5px 0px
    border-radius: 2px

// Project's API security style

.rsa_pub
  border-width: 2px
  border-style: dashed
  border-color: #bdce2e
  border-radius: 5px
  background-color: #1b3500
  color: white
  font-size: 9px

.rsa_secret
  border-width: 2px
  border-style: dashed
  border-color: lightgrey
  border-radius: 5px
  background-color: black
  color: white
  font-size: 5px

.client_id
  border-radius: 5px
  background-color: #f1f1f1
  font-size: 19px
  font-weight: bold
  padding: 10px

// Transaction index page
.lazyiframe
  width: 100%
  height: 400px
  border-color: #2a7fff